X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Firefox ESR 10.0.12 disables flash plugin - updates to the last version do not work?

Posted

Suddenly - without any actions by me - FF ESR 10.0.12 refuses to accept Adobe Flash? (System Win 7 64 Ultimate) It started with a very annoying bar, which cost me 2 hours to deactivate, which told me to update an very old and unused Adobe Reader plugin. Then it insisted, that the Foxit PDF reader plugin was not up to date. Since I do not use it, I deactivated it too. Since I seldom use Flash, I just found out today, that youtube does not work anymore - FF insists, that my flash plugin is too old and it deactivated it. This has cost me hours up to now and it is _exactly_ the reason why I use the ESR channel. What I did: Deinstalled Adobe Flash completely (using Windows). Used the normal Firefox update, which it recommends (your flash player was deactivated, please install...). No success, it simply goes into a loop, always telling me my flash player is too old. I also installed it directly from Adobe (the Firefox version!!), in all cases it reports version 11.5.502.104. The last version from Adobe - but it seems to be too old???

I am spitting angry now - this kind of trouble is the reason I only use ESR versions from Mozilla. I do not want your chaos troupe to play around with _my_ installation. But obviously you found ways to do so.

If this is not solved (and no, I will _not_ reinstall Firefox, I will _not_ delete my profile) in a few days, Firefox is dead for me. I am already looking to Chrome and Opera. Many friends have these browsers - I am a bit conservative, and I want my browser stable and the look an feel should be stable also. I do _not_ want a new version every two weeks, which every time costs my effort and time to configure it how I want it.

The question here is: How did you manage to disable the last version of Flash, and why? Why must I now register here and invest valuable time to get my browser to work again?? If I had done something, installed or removed something, ok. But I did not. (And yes, up to now I did update Flash and other plugins, when I was prompted to do so)

Clearly _your_ management does _not_ work: If I use the solutions which FF itself recommends, it sends me in an endless loop: Install newest Flash, sorry, Flash is outdated, install newest Flash...

Is this the 'new security'? Bah. If you did this for the 'normal user' (which you obviously do not respect anymore), you failed. And you failed completely for me: If software insists to do things 'automatically', it should at least do them reliably, _or_ it should ask. But working in the background, changing important things, reporting nothing, and then failing is exactly the reason why I disable all 'automatic' activities and want to be _asked_ before some idiotic piece of c.... deconfigures itself - and stops working...

Hints to the Troubleshooting Info below: At this time Flash player is installed, shows in the systems software list as 'Adobe Flash Player 11 Plugin', Version 11.5.502.146. The rest are my normal plugins. Serveral changes to about:config were done by me in an effort to make FF usable again, without nagging 'info' bars...

Chosen solution

Found it: Somehow the entry plugin.scan.plid.all disappeared from my configuration under 'about:config'. It simply did not exist anymore.

After much searching and cursing I found it and reentered it, with the boolean value 'true'. Now Flash Player is found again, and it seems to work. The nag is gone. Also I managed to deinstall the old Adobe Reader plugin and the FoxIt Reader plugin, which I did not use for a very long time (PDFs I always download locally).This helped, because the annoying nag window went away, and I could reenable other options I had to disable, to get rid of a bar/window telling known information about a plugin which was disabled and unused anyway. (This started with 10.0.12 update, I think)

Comment: This was _completely_ unnecessary for me (plugin was the latest version anyway, because it has an update service running and updates itself without FF). It cost me me 2-3 hours valuable time.

Could you please consider: 1) INFORM the user about problems, and not over silly click me once windows with standard blabbing text. Even Microsoft, not known for their openness and user information, manages to inform me _what_ updates do _before_ I install them, and _why_ I should install them. 2) Put more information in the plugin/extension windows, so one has a better chance to find problems. 3) STOP patronizing and mothering the user, at least optionally, so one can select it . Because if one day leave FF behind forever, this will be the main reason. I REFUSE to install automatically. I am _responsible_ for my computer. If somebody or something installs for example illegal data to it, I cannot use the excuse that it was done 'automatically'. I want to know how, when and WHY an update or something is installed. So PLEASE stop this patronizing.

Read this answer in context 3

Additional System Details

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0.12) Gecko/20100101 Firefox/10.0.12

More Information

Allgemeine Informationen
Name
Firefox
Version
10.0.12
User-Agent
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0.12) Gecko/20100101 Firefox/10.0.12
Profilordner
Ordner anzeigen
Aktivierte Plugins
about:plugins
Build-Konfiguration
about:buildconfig
Absturzberichte
about:crashes
Speicherverwendung
about:memory
Erweiterungen
Name
Version
Aktiviert
ID
Adblock Plus
2.2.1
true
{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}
BackupFox
1.0.3
true
backupfox_959a5970_ada3_11e0_9f1c_0800200c9a66@mozillafirefoxextension
BetterPrivacy
1.68
true
{d40f5e7b-d2cf-4856-b441-cc613eeffbe3}
DownThemAll!
2.0.15
true
{DDC359D1-844A-42a7-9AA1-88A850A938A8}
Firebug
1.9.2
true
firebug@software.joehewitt.com
FireFTP
2.0.7
true
{a7c6cf7f-112c-4500-a7ea-39801a327e5f}
NoScript
2.6.4.2
true
{73a6fe31-595d-460b-a920-fcc0f8843232}
United States English Spellchecker
6.0
true
en-US@dictionaries.addons.mozilla.org
Wörterbuch Deutsch (de-DE), Hunspell-unterstützt
20120628
true
de_DE@dicts.j3e.de
Modify Headers
0.7.1.1
false
{b749fc7c-e949-447f-926c-3f4eed6accfe}
User Agent Switcher
0.7.3
false
{e968fc70-8f95-4ab9-9e79-304de2a71ee1}
Modifizierte Einstellungen
Name
Wert
accessibility.typeaheadfind
true
accessibility.typeaheadfind.flashBar
0
browser.history_expire_days.mirror
2
browser.history_expire_days_min
3
browser.places.importBookmarksHTML
false
browser.places.importDefaults
false
browser.places.leftPaneFolderId
-1
browser.places.migratePostDataAnnotations
false
browser.places.smartBookmarksVersion
2
browser.places.updateRecentTagsUri
false
browser.startup.homepage
<privacy - my homepage does not concern you>
browser.startup.homepage_override.buildID
20130103094221
browser.startup.homepage_override.mstone
rv:10.0.12
browser.tabs.autoHide
true
browser.tabs.insertRelatedAfterCurrent
false
dom.disable_window_flip
false
extensions.checkCompatibility.10.0
true
extensions.checkCompatibility.nightly
false
extensions.lastAppVersion
10.0.12
font.language.group
x-western
font.name.fantasy.x-western
Allegro BT
font.size.variable.x-western
15
general.useragent.extra.microsoftdotnet
(.NET CLR 3.5.30729)
network.cookie.blockFutureCookies
false
network.cookie.prefsMigrated
true
network.http.max-persistent-connections-per-server
4
places.database.lastMaintenance
1358002758
places.history.expiration.transient_current_max_pages
104858
places.history.expiration.transient_optimal_database_size
109811384
places.last_vacuum
1323561038
plugin.disable_full_page_plugin_for_types
application/pdf,application/vnd.adobe.xfdf,application/vnd.fdf,application/vnd.adobe.xdp+xml
plugin.expose_full_path
true
plugin.scan.plid.all
false
plugins.hide_infobar_for_missing_plugin
true
plugins.hide_infobar_for_outdated_plugin
true
print.print_printer
Microsoft XPS Document Writer
print.printer_Canon_PIXMA_iP8500.print_bgcolor
false
print.printer_Canon_PIXMA_iP8500.print_bgimages
false
print.printer_Canon_PIXMA_iP8500.print_command
print.printer_Canon_PIXMA_iP8500.print_downloadfonts
true
print.printer_Canon_PIXMA_iP8500.print_edge_bottom
0
print.printer_Canon_PIXMA_iP8500.print_edge_left
0
print.printer_Canon_PIXMA_iP8500.print_edge_right
0
print.printer_Canon_PIXMA_iP8500.print_edge_top
0
print.printer_Canon_PIXMA_iP8500.print_evenpages
true
print.printer_Canon_PIXMA_iP8500.print_footercenter
print.printer_Canon_PIXMA_iP8500.print_footerleft
&PT
print.printer_Canon_PIXMA_iP8500.print_footerright
&D
print.printer_Canon_PIXMA_iP8500.print_headercenter
print.printer_Canon_PIXMA_iP8500.print_headerleft
print.printer_Canon_PIXMA_iP8500.print_headerright
print.printer_Canon_PIXMA_iP8500.print_in_color
true
print.printer_Canon_PIXMA_iP8500.print_margin_bottom
0.5
print.printer_Canon_PIXMA_iP8500.print_margin_left
0.5
print.printer_Canon_PIXMA_iP8500.print_margin_right
0.5
print.printer_Canon_PIXMA_iP8500.print_margin_top
0.5
print.printer_Canon_PIXMA_iP8500.print_oddpages
true
print.printer_Canon_PIXMA_iP8500.print_orientation
1
print.printer_Canon_PIXMA_iP8500.print_pagedelay
500
print.printer_Canon_PIXMA_iP8500.print_paper_data
9
print.printer_Canon_PIXMA_iP8500.print_paper_height
11.00
print.printer_Canon_PIXMA_iP8500.print_paper_size
7274606
print.printer_Canon_PIXMA_iP8500.print_paper_size_type
0
print.printer_Canon_PIXMA_iP8500.print_paper_size_unit
1
print.printer_Canon_PIXMA_iP8500.print_paper_width
8.50
print.printer_Canon_PIXMA_iP8500.print_printer
Canon PIXMA iP8500
print.printer_Canon_PIXMA_iP8500.print_reversed
false
print.printer_Canon_PIXMA_iP8500.print_scaling
1.00
print.printer_Canon_PIXMA_iP8500.print_shrink_to_fit
true
print.printer_Canon_PIXMA_iP8500.print_to_file
false
print.printer_Canon_PIXMA_iP8500.print_unwriteable_margin_bottom
0
print.printer_Canon_PIXMA_iP8500.print_unwriteable_margin_left
0
print.printer_Canon_PIXMA_iP8500.print_unwriteable_margin_right
0
print.printer_Canon_PIXMA_iP8500.print_unwriteable_margin_top
0
print.printer_Microsoft_XPS_Document_Writer.print_bgcolor
false
print.printer_Microsoft_XPS_Document_Writer.print_bgimages
false
print.printer_Microsoft_XPS_Document_Writer.print_command
print.printer_Microsoft_XPS_Document_Writer.print_downloadfonts
true
print.printer_Microsoft_XPS_Document_Writer.print_edge_bottom
0
print.printer_Microsoft_XPS_Document_Writer.print_edge_left
0
print.printer_Microsoft_XPS_Document_Writer.print_edge_right
0
print.printer_Microsoft_XPS_Document_Writer.print_edge_top
0
print.printer_Microsoft_XPS_Document_Writer.print_evenpages
true
print.printer_Microsoft_XPS_Document_Writer.print_footercenter
print.printer_Microsoft_XPS_Document_Writer.print_footerleft
&PT
print.printer_Microsoft_XPS_Document_Writer.print_footerright
&D
print.printer_Microsoft_XPS_Document_Writer.print_headercenter
print.printer_Microsoft_XPS_Document_Writer.print_headerleft
print.printer_Microsoft_XPS_Document_Writer.print_headerright
print.printer_Microsoft_XPS_Document_Writer.print_in_color
true
print.printer_Microsoft_XPS_Document_Writer.print_margin_bottom
0.5
print.printer_Microsoft_XPS_Document_Writer.print_margin_left
0.5
print.printer_Microsoft_XPS_Document_Writer.print_margin_right
0.5
print.printer_Microsoft_XPS_Document_Writer.print_margin_top
0.5
print.printer_Microsoft_XPS_Document_Writer.print_oddpages
true
print.printer_Microsoft_XPS_Document_Writer.print_orientation
0
print.printer_Microsoft_XPS_Document_Writer.print_pagedelay
500
print.printer_Microsoft_XPS_Document_Writer.print_paper_data
9
print.printer_Microsoft_XPS_Document_Writer.print_paper_height
11.00
print.printer_Microsoft_XPS_Document_Writer.print_paper_size_type
0
print.printer_Microsoft_XPS_Document_Writer.print_paper_size_unit
1
print.printer_Microsoft_XPS_Document_Writer.print_paper_width
8.50
print.printer_Microsoft_XPS_Document_Writer.print_reversed
false
print.printer_Microsoft_XPS_Document_Writer.print_scaling
1.00
print.printer_Microsoft_XPS_Document_Writer.print_shrink_to_fit
true
print.printer_Microsoft_XPS_Document_Writer.print_to_file
false
print.printer_Microsoft_XPS_Document_Writer.print_unwriteable_margin_bottom
0
print.printer_Microsoft_XPS_Document_Writer.print_unwriteable_margin_left
0
print.printer_Microsoft_XPS_Document_Writer.print_unwriteable_margin_right
0
print.printer_Microsoft_XPS_Document_Writer.print_unwriteable_margin_top
0
privacy.clearOnShutdown.cookies
false
privacy.clearOnShutdown.extensions-dta
true
privacy.clearOnShutdown.formdata
false
privacy.clearOnShutdown.history
false
privacy.clearOnShutdown.offlineApps
true
privacy.clearOnShutdown.sessions
false
privacy.cpd.cookies
false
privacy.cpd.extensions-dta
true
privacy.cpd.formdata
false
privacy.cpd.history
false
privacy.cpd.sessions
false
privacy.donottrackheader.enabled
true
privacy.item.extensions-dta
true
privacy.item.formdata
false
privacy.item.history
false
privacy.item.offlineApps
true
privacy.item.sessions
false
privacy.sanitize.migrateFx3Prefs
true
security.warn_viewing_mixed
false
Grafik
Karten-Beschreibung
NVIDIA GeForce GTX 680
Vendor-ID
10de
Geräte-ID
1180
Karten-RAM
2048
Karten-Treiber
nvd3dumx,nvwgf2umx,nvwgf2umx nvd3dum,nvwgf2um,nvwgf2um
Treiber-Version
9.18.13.697
Treiber-Datum
10-2-2012
Vendor-ID (GPU #2)
10de
Geräte-ID (GPU #2)
05e1
Karten-RAM (GPU #2)
Unknown
Karten-Treiber (GPU #2)
nvd3dumx,nvwgf2umx,nvwgf2umx nvd3dum,nvwgf2um,nvwgf2um
Treiber-Version (GPU #2)
8.17.12.5896
Treiber-Datum (GPU #2)
7-9-2010
Direct2D aktiviert
true
DirectWrite aktiviert
true (6.1.7601.17789)
ClearType-Parameter
Gamma: 2200 Pixel Structure: RGB ClearType Level: 100 Enhanced Contrast: 300
WebGL-Renderer
Google Inc. -- ANGLE (NVIDIA GeForce GTX 680) -- OpenGL ES 2.0 (ANGLE 0.0.0.809)
GPU-beschleunigte Fenster
2/2 Direct3D 10

philipp
  • Top 10 Contributor
  • Moderator
2043 solutions 8891 answers

hello, what version of the flash plugin is listed as installed in firefox > addons > plugins? Shockwave Flash 11.5.502.146 should be the current one - in case something else is shown, please use the uninstall procedure described in adobe's support section & download the current version from http://get.adobe.com/flashplayer/.

Helpful Reply

Well - since FF thoughtfully disabled the plugin, it now shows no plugin on the page you describe... There are only two (disabled) plugins for PDF (Adobe, older PDF plugin and Foxit PDF plugin, both disabled). I would uninstall them, but there is no option to do so. I just uninstalled Flash using the procedure you describe (Adobes tool) and reinstalled it again. It still does not show under addons -> plugins. So - cannot uninstall older plugins, cannot install Flash player (it is not recognized somehow), but get nagged, Flash player ist too old... Impressive... But thanks for trying to help!

philipp
  • Top 10 Contributor
  • Moderator
2043 solutions 8891 answers

in case firefox would have disabled the plugin because it contains known security vulnerabilities, it would still be listed in firefox > addons > plugins but disabled and marked with a warning message.

it's normal that you can't remove plugins from the firefox addons manager - they are installed on a system level & have to be removed through the windows control panel.

are you trying to download/install the flash plugin in firefox (because there's a different version for IE which adobe will offer you when you browse the page with IE)? for some common troubleshooting see http://kb.mozillazine.org/Flash#Windows_installation_issues

Helpful Reply

I tried this too - I am sure, that I have the correct version installed, since Adobes Download page says so (Firefox). I also tried to install both, the version for IE and for Firefox. I also just tried to install Flash for IE 9 - worked fine. (I just _love_ Adobe for trying to foster other junk software on all wanting to download Flash, btw).

Question owner

Additional information - according to the wiki you pointed me to, it was correct to uninstall flash using Windows control panel. I am very sure that I already had the latest version installed from the beginning, because Flash player pointed me to an update on Windows start (as usual) several days ago.

The error clearly lies with FF, since despite an up to date Flash player it decided it wants it new - something to do with the blacklist? How can it tell, that its outdated, if it does not find it and not show it in the list of plugins?

There is something fishy here...

Chosen Solution

Found it: Somehow the entry plugin.scan.plid.all disappeared from my configuration under 'about:config'. It simply did not exist anymore.

After much searching and cursing I found it and reentered it, with the boolean value 'true'. Now Flash Player is found again, and it seems to work. The nag is gone. Also I managed to deinstall the old Adobe Reader plugin and the FoxIt Reader plugin, which I did not use for a very long time (PDFs I always download locally).This helped, because the annoying nag window went away, and I could reenable other options I had to disable, to get rid of a bar/window telling known information about a plugin which was disabled and unused anyway. (This started with 10.0.12 update, I think)

Comment: This was _completely_ unnecessary for me (plugin was the latest version anyway, because it has an update service running and updates itself without FF). It cost me me 2-3 hours valuable time.

Could you please consider: 1) INFORM the user about problems, and not over silly click me once windows with standard blabbing text. Even Microsoft, not known for their openness and user information, manages to inform me _what_ updates do _before_ I install them, and _why_ I should install them. 2) Put more information in the plugin/extension windows, so one has a better chance to find problems. 3) STOP patronizing and mothering the user, at least optionally, so one can select it . Because if one day leave FF behind forever, this will be the main reason. I REFUSE to install automatically. I am _responsible_ for my computer. If somebody or something installs for example illegal data to it, I cannot use the excuse that it was done 'automatically'. I want to know how, when and WHY an update or something is installed. So PLEASE stop this patronizing.